* Set up data for a "customer profile" report
* The report includes customer info, a list of 
* employees the customer has ordered from, 
* and a list of products the customer has ordered.

SELECT Customer.Customer_Id, Company_Name, ;
       PADR(TRIM(Last_Name) + ", " + First_Name, 40) AS cName, ;
       SPACE(50) AS cEngName, ;
       SUM(Quantity * Unit_Price) AS nTotal, ;
       "E" AS cType ;
    FROM Customer ;
      JOIN Orders ;
        JOIN Order_Line_Items ;
          ON Orders.Order_ID = Order_Line_Items.Order_ID ;
        ON Customer.Customer_ID = Orders.Customer_ID ;
      JOIN Employee ;
        ON Orders.Employee_ID = Employee.Employee_ID ;
    GROUP BY 1, 2, 3 ;
UNION ALL ;        
SELECT Customer.Customer_ID, Customer.Company_Name, ;
       Products.Product_Name AS cName, ;
       Products.English_Name AS cEngName, ;
       SUM(Quantity * Order_Line_Items.Unit_Price) AS nTotal, ;
       "P" AS cType ;
    FROM Customer ;
      JOIN Orders ;
        JOIN Order_Line_Items ;
          JOIN Products ;
            ON Order_Line_Items.Product_ID = Products.Product_ID ;
          ON Orders.Order_ID = Order_Line_Items.Order_ID ;
        ON Customer.Customer_ID = Orders.Customer_ID ;
    GROUP BY 1, 2, 3 ;
  ORDER BY 2, 6, 3 ;
  INTO CURSOR CustomerProfile